%define name	mono
%define version	0.26
%define release	1mdk

%define major 0
%define majorminor 0
%define libname %mklibname %{name} %{major}
%define runtimename %mklibname %{name}

Summary:	Mono Runtime.
Name:		%name
Version:	%version
Release:	%release
License:	LGPL
Group:		System/Libraries
Source0:	%name-%version.tar.bz2
Source1:	mcs-%version.tar.bz2
URL:		http://www.go-mono.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libglib2-devel >= 2.2.0
BuildRequires:	libgc-devel
BuildRequires:	bison
Requires:	libmono = %version-%release
Requires:	libmono-runtime = %version-%release
ExclusiveArch:	%{ix86} ppc

%description
Mono is an implementation of the ECMA Common Language Infrastructure,
it contains both a just-in-time compiler for maximum performance, and
an interpeter.  It can also be used to run programs from the .NET
Framework.

%package doc
Summary:	Documentation for the Mono runtime
Group:		System/Libraries
Requires:	mono

%description doc
Mono is an implementation of the ECMA Common Language Infrastructure,
it contains both a just-in-time compiler for maximum performance, and
an interpeter.  It can also be used to run programs from the .NET
Framework.
This package provides documentation for the Mono runtime.

%package -n %libname
Summary:	Libraries for the Mono runtime.
Group:		System/Libraries
Provides:	libmono = %version-%release

%description -n %libname
Mono is an implementation of the ECMA Common Language Infrastructure,
it contains both a just-in-time compiler for maximum performance, and
an interpeter.  It can also be used to run programs from the .NET
Framework.
This package provides the versioned libraries for the Mono runtime.

%package -n %runtimename-runtime
Summary:	Libraries for the Mono runtime.
Group:		System/Libraries
Requires:	mono = %version-%release
Requires:	libmono = %version-%release

%description -n %runtimename-runtime
Mono is an implementation of the ECMA Common Language Infrastructure,
it contains both a just-in-time compiler for maximum performance, and
an interpeter.  It can also be used to run programs from the .NET
Framework.
This package provides the non-versioned libraries for the Mono runtime.

%package -n %libname-devel
Summary:	Tools required to embed the Mono runtime.
Group:		Development/Other
PreReq:		%{name} = %{version}-%{release}
Requires:	libglib2-devel >= 2.2.0
Requires:	libmono0 = %version-%release
Provides:	libmono-devel = %version-%release
Provides:	mono-devel = %version-%release

%description -n %libname-devel
Header files and libraries used to embed the Mono runtime in an application.

%prep
%setup -c mono -q -a 1

%build
cd %name-%version
(CC="cc -gdwarf-2" ./configure --sysconfdir=%{_sysconfdir} --prefix=%{_prefix} --mandir=%{_mandir} --with-gc=boehm)
# 0.23: parallel make is broken
make

%install
rm -rf %{buildroot}
cd %name-%version
%makeinstall

# don't conflict with pnet
mv %{buildroot}%{_mandir}/man1/ilasm.1 %{buildroot}%{_mandir}/man1/ilasm-mono.1
mv %{buildroot}%{_bindir}/ilasm %{buildroot}%{_bindir}/ilasm-mono


%clean
rm -rf %{buildroot}

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-, root, root)
%dir %{_sysconfdir}/mono
%config(noreplace) %{_sysconfdir}/mono/config
%config(noreplace) %{_sysconfdir}/mono/machine.config
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files doc
%defattr(-, root, root)
%doc mono*/AUTHORS mono*/COPYING.LIB mono*/ChangeLog mono*/NEWS mono*/README
%doc mono*/docs/*[^Makefile-Makefile.in]
%doc mcs*/docs/clr-abi.txt mcs*/docs/compiler mcs*/docs/control-flow-analysis.txt

%files -n %libname
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %runtimename-runtime
%defattr(-, root, root)
%{_libdir}/*.dll

%files -n %libname-devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%dir %{_includedir}/mono
%{_includedir}/mono/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Tue Aug 19 2003 Marcel Pol <mpol@gmx.net> 0.26-1mdk
- 0.26
- exclusivearch x86 ppc

* Wed Jul 16 2003 Marcel Pol <mpol@gmx.net> 0.25-1mdk
- 0.25

* Sun Jun 09 2003 Marcel Pol <mpol@gmx.net> 0.24-2mdk
- s/ilasm/ilasm-mono - don't conflict with pnet

* Tue Apr 08 2003 Marcel Pol <mpol@gmx.net> 0.24-1mdk
- 0.24

* Tue Apr 08 2003 Marcel Pol <mpol@gmx.net> 0.23-5mdk
- libpolicy; non-versioned libs in a seperate package

* Sat Apr 05 2003 Marcel Pol <mpol@gmx.net> 0.23-4mdk
- include some docs

* Tue Apr 01 2003 Marcel Pol <mpol@gmx.net> 0.23-3mdk
- fix wrapper scripts

* Sun Mar 23 2003 Marcel Pol <mpol@gmx.net> 0.23-2mdk
- don't use hardcoded paths in configure

* Tue Mar 18 2003 Marcel Pol <mpol@gmx.net> 0.23-1mdk
- initial mandrake release
